Home page logo
/

bugtraq logo Bugtraq mailing list archives

SQL injection vulnerability in SyntaxCMS
From: advisory () htbridge ch
Date: Fri, 13 Aug 2010 09:11:38 +0200 (CEST)

Vulnerability ID: HTB22540
Reference: http://www.htbridge.ch/advisory/sql_injection_vulnerability_in_syntaxcms.html
Product: SyntaxCMS
Vendor: Forum One Communications ( http://www.syntaxcms.org/ ) 
Vulnerable Version: 1.3 and Probably Prior Versions
Vendor Notification: 27 July 2010 
Vulnerability Type: SQL Injection
Status: Not Fixed, Vendor Alerted, Awaiting Vendor Response
Risk level: High 
Credit: High-Tech Bridge SA - Ethical Hacking & Penetration Testing (http://www.htbridge.ch/) 

Vulnerability Details:
The vulnerability exists due to failure in the list pages to properly sanitize user-supplied input in "rows_per_page" 
variable. Attacker can alter queries to the application SQL database, execute arbitrary queries to the database, 
compromise the application, access or modify sensitive data, or exploit various vulnerabilities in the underlying SQL 
database.

Attacker can use browser to exploit this vulnerability. The following PoC is available:


http://host/content/general/browse/?x=37&y=15&rows_per_page=10+ANY_SQL+--+&page=2





  By Date           By Thread  

Current thread:
  • SQL injection vulnerability in SyntaxCMS advisory (Aug 13)
[ Nmap | Sec Tools | Mailing Lists | Site News | About/Contact | Advertising | Privacy ]
AlienVault